CREATE TABLE "COMPONENTS" (
  "ID" INTEGER NOT NULL AUTO_INCREMENT (1,1),
  "ORGANIZATION_UUID" VARCHAR(40) NOT NULL,
  "KEE" VARCHAR(400),
  "UUID" VARCHAR(50) NOT NULL,
  "UUID_PATH" VARCHAR(1500) NOT NULL,
  "ROOT_UUID" VARCHAR(50) NOT NULL,
  "PROJECT_UUID" VARCHAR(50) NOT NULL,
  "MODULE_UUID" VARCHAR(50),
  "MODULE_UUID_PATH" VARCHAR(1500),
  "MAIN_BRANCH_PROJECT_UUID" VARCHAR(50),
  "NAME" VARCHAR(2000),
  "DESCRIPTION" VARCHAR(2000),
  "PRIVATE" BOOLEAN NOT NULL,
  "TAGS" VARCHAR(500),
  "ENABLED" BOOLEAN NOT NULL DEFAULT TRUE,
  "SCOPE" VARCHAR(3),
  "QUALIFIER" VARCHAR(10),
  "DEPRECATED_KEE" VARCHAR(400),
  "PATH" VARCHAR(2000),
  "LANGUAGE" VARCHAR(20),
  "COPY_COMPONENT_UUID" VARCHAR(50),
  "LONG_NAME" VARCHAR(2000),
  "DEVELOPER_UUID" VARCHAR(50),
  "CREATED_AT" TIMESTAMP,
  "AUTHORIZATION_UPDATED_AT" BIGINT,
  "B_CHANGED" BOOLEAN,
  "B_COPY_COMPONENT_UUID" VARCHAR(50),
  "B_DESCRIPTION" VARCHAR(2000),
  "B_ENABLED" BOOLEAN,
  "B_UUID_PATH" VARCHAR(1500),
  "B_LANGUAGE" VARCHAR(20),
  "B_LONG_NAME" VARCHAR(500),
  "B_MODULE_UUID" VARCHAR(50),
  "B_MODULE_UUID_PATH" VARCHAR(1500),
  "B_NAME" VARCHAR(500),
  "B_PATH" VARCHAR(2000),
  "B_QUALIFIER" VARCHAR(10)
);
CREATE INDEX "PROJECTS_ORGANIZATION" ON "COMPONENTS" ("ORGANIZATION_UUID");
CREATE UNIQUE INDEX "PROJECTS_KEE" ON "COMPONENTS" ("KEE");
CREATE INDEX "PROJECTS_ROOT_UUID" ON "COMPONENTS" ("ROOT_UUID");
CREATE UNIQUE INDEX "PROJECTS_UUID" ON "COMPONENTS" ("UUID");
CREATE INDEX "PROJECTS_PROJECT_UUID" ON "COMPONENTS" ("PROJECT_UUID");
CREATE INDEX "PROJECTS_MODULE_UUID" ON "COMPONENTS" ("MODULE_UUID");
CREATE INDEX "PROJECTS_QUALIFIER" ON "COMPONENTS" ("QUALIFIER");

CREATE TABLE PROJECTS (
    UUID VARCHAR(40) PRIMARY KEY,
    KEE VARCHAR(400) NOT NULL,
    "QUALIFIER" VARCHAR(10) NOT NULL,
    ORGANIZATION_UUID VARCHAR(40) NOT NULL,
    NAME VARCHAR(2000),
    DESCRIPTION VARCHAR(2000),
    PRIVATE BOOLEAN NOT NULL,
    TAGS VARCHAR(500),
    CREATED_AT BIGINT NOT NULL,
    UPDATED_AT BIGINT NOT NULL
);

CREATE UNIQUE INDEX PK_PROJECTS ON PROJECTS(UUID);
CREATE UNIQUE INDEX UNIQ_PROJECTS ON PROJECTS(KEE);
CREATE INDEX IDX_QUALIFIER ON PROJECTS("QUALIFIER");

